<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.1) on Sat Oct 05 11:12:57 CEST 2019 -->
<title>BalancedVectorizationFoldPostHook (dblp.datatools 2019.08.0.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-10-05">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BalancedVectorizationFoldPostHook (dblp.datatools 2019.08.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":6,"i2":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">bous.philipp.dblp.datatools.featureconstruction.vectorization</a></div>
<h2 title="Interface BalancedVectorizationFoldPostHook" class="title">Interface BalancedVectorizationFoldPostHook</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><code><a href="../../executables/ONLY_FOR_DOC/ExportOriginalIdTimeCodeVectorizationPosthook.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">ExportOriginalIdTimeCodeVectorizationPosthook</a></code>, <code><a href="../../executables/ONLY_FOR_DOC/ExportOriginalIdVectorizationPosthook.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">ExportOriginalIdVectorizationPosthook</a></code>, <code><a href="../../executables/ONLY_FOR_DOC/ExportSplitIdsVectorizationPosthook.html" title="class in bous.philipp.dblp.datatools.executables.ONLY_FOR_DOC">ExportSplitIdsVectorizationPosthook</a></code></dd>
</dl>
<hr>
<pre>public interface <span class="typeNameLabel">BalancedVectorizationFoldPostHook</span></pre>
<div class="block">Provides a means to hook into the (balanced version of the) vectorization process in bag of words based text-vectorization scenarios as for example found in
 <a href="BagOfWordsVectorizationArchetypes.html#convertSingleFeatureToSVMLightCrossValidationSetsBalanced()"><code>BagOfWordsVectorizationArchetypes.convertSingleFeatureToSVMLightCrossValidationSetsBalanced()</code></a>. Its main purpose is
 to allow extensible logging and inspection of the vectorization process.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#afterNegativesProcessed(int,java.util.List,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">afterNegativesProcessed</a></span>&#8203;(int&nbsp;foldNumber,
                       java.util.List&lt;<a href="../../datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel">RecordDocument</a>&gt;&nbsp;negativeRecords,
                       <a href="../vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</code></th>
<td class="colLast">
<div class="block">Executed after negative entries have been processed.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#afterPositivesProcessed(int,java.util.List,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">afterPositivesProcessed</a></span>&#8203;(int&nbsp;foldNumber,
                       java.util.List&lt;<a href="../../datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel">RecordDocument</a>&gt;&nbsp;positiveRecords,
                       <a href="../vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</code></th>
<td class="colLast">
<div class="block">Executed after positive entries have been processed.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#finalize(int,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">finalize</a></span>&#8203;(int&nbsp;foldNumber,
        <a href="../vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</code></th>
<td class="colLast">
<div class="block">Will be called before finishing the record-processing inside a fold.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="afterPositivesProcessed(int,java.util.List,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>afterPositivesProcessed</h4>
<pre class="methodSignature">void&nbsp;afterPositivesProcessed&#8203;(int&nbsp;foldNumber,
                             java.util.List&lt;<a href="../../datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel">RecordDocument</a>&gt;&nbsp;positiveRecords,
                             <a href="../vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</pre>
<div class="block">Executed after positive entries have been processed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>foldNumber</code> - the number of the fold currently being processed</dd>
<dd><code>positiveRecords</code> - a list of the positive records that have just been processed</dd>
<dd><code>vocabulary</code> - the vocabulary that was used during the vectorization process</dd>
</dl>
</li>
</ul>
<a id="afterNegativesProcessed(int,java.util.List,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>afterNegativesProcessed</h4>
<pre class="methodSignature">void&nbsp;afterNegativesProcessed&#8203;(int&nbsp;foldNumber,
                             java.util.List&lt;<a href="../../datamodel/RecordDocument.html" title="class in bous.philipp.dblp.datatools.datamodel">RecordDocument</a>&gt;&nbsp;negativeRecords,
                             <a href="../vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</pre>
<div class="block">Executed after negative entries have been processed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>foldNumber</code> - the number of the fold currently being processed</dd>
<dd><code>negativeRecords</code> - a list of the positive records that have just been processed</dd>
<dd><code>vocabulary</code> - the vocabulary that was used during the vectorization process</dd>
</dl>
</li>
</ul>
<a id="finalize(int,bous.philipp.dblp.datatools.featureconstruction.vocabulary.ScoredVocabulary)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>finalize</h4>
<pre class="methodSignature">void&nbsp;finalize&#8203;(int&nbsp;foldNumber,
              <a href="../vocabulary/ScoredVocabulary.html" title="class in bous.philipp.dblp.datatools.featureconstruction.vocabulary">ScoredVocabulary</a>&nbsp;vocabulary)</pre>
<div class="block">Will be called before finishing the record-processing inside a fold.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>foldNumber</code> - the number of the fold currently being processed</dd>
<dd><code>vocabulary</code> - the vocabulary used during the vectorization process</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
